logLevel = "INFO"
debug = true

defaultEntryPoints = ["https","http"]

[api]
address = ":8080"

[ping]

[entryPoints]
  [entryPoints.http]
  address = ":80"
    [entryPoints.http.redirect]
      entryPoint = "https"
      permanent = true
  [entryPoints.https]
  address = ":443"
    [entryPoints.https.redirect]
      regex = "^https://(?:www\\.)(.*)"
      replacement = "https://$1"
      permanent = true
    [entryPoints.https.tls]
      [[entryPoints.https.tls.certificates]]
        certFile = "/traefik/certs/localhost/ssl.crt"
        keyFile = "/traefik/certs/localhost/ssl.key"

[retry]

[docker]
watch = true
exposedByDefault = false

# ---- [acme] SHOULD BE THE LAST KEY IN THE FILE ----
[acme]
# caServer = "https://acme-staging-v02.api.letsencrypt.org/directory"
acmeLogging = true
storage = "/traefik/acme.json"
entryPoint = "https"
